#!/bin/sh

set -ev

[ -n "$DARCS" ] || DARCS=$PWD/../darcs
export EMAIL=tester

rm -fr temp1

mkdir temp1
cd temp1
$DARCS init

echo a b a b a b > A
$DARCS add A
if $DARCS replace a c A | grep Skipping; then
    exit 1
fi
cd ..

rm -fr temp1

